Home » Php » Soap module on PHP 5.6 and Ubuntu fail to start

Soap module on PHP 5.6 and Ubuntu fail to start

Posted by: admin February 25, 2020 Leave a comment

Questions:

I have a ubuntu 14 server with PHP 5.6.
My application is using mongosoft SOAP Client for yii2 framework.

I tried to install php-soap, using
sudo apt-get install php-soap

the installation is successful.

I restarted my apache server.

In PHP info, nothing mentions that SOAP is started.

When I go to my app, and launch composer update (to update the libraries and install SOAP Client, it says it fails as the error message :
Problem 1
– mongosoft/yii2-soap-client dev-master requires ext-soap * -> the requested PHP extension soap is missing from your system.
– mongosoft/yii2-soap-client 0.1.0 requires ext-soap * -> the requested PHP extension soap is missing from your system.
– Installation request for mongosoft/yii2-soap-client * -> satisfiable by mongosoft/yii2-soap-client[0.1.0, dev-master].

i don’t see any extension installed after for php-soap.

Anybody have a idea of what is going on?

How to&Answers: